package com.junmp.jyzb.api.bean.query.TjReq;

import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;

import java.util.List;
@Data
public class TjOrgEqsReq extends BaseRequest {
    //组织机构
    private Long orgId;
    private Long parentOrgId;
    private Integer levelNum;
    private Boolean removeEmpty;
    List<String> typeIdsList;
    private List<String> sizeNameList;

    private Integer level;

    private String order;
    private String column;
    // 添加一个用逗号分隔typeIdsList的方法
    public String getTypeIdsAsString() {
        return String.join(",", typeIdsList);
    }
    public String getSizesAsString() {
        return String.join(",", sizeNameList);
    }


}
